/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/


/* General */

html {
    scroll-padding-top: var(--header-height, 100px);
    scrollbar-gutter: stable;
}

h1 {
    text-box-trim: trim-both;
}

ul,li {
margin: 0;
padding: 0;
list-style-type: none;
}

button {
line-height: inherit;
}

/*
p:not(.price) {
margin-block: 1em;
margin-block: 1lh;
}
*/

::selection {
    background-color: var(--color-primary);
    color: var(--color-white);
}

.bricks-is-frontend {  display: flex; flex-direction: column; min-height: 100vh;}
#brx-footer {margin-top: auto;}

#brx-header.scrolling #topbar {
  transform: translateY(calc(-1 * var(--topbar-height)));
  margin-bottom: calc(-1 * var(--topbar-height));
}

/* @media (max-width: 991px) {
#brx-header.scrolling #topbar {
transform: translateY(0px);
}
} */

.ajax-loading::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255, 255, 255, 0.6);
    z-index: 5;
}

.ajax-loading::after {
    content: '';
    position: fixed;
    left: 50%;
    width: 40px;
    height: 40px;
    border: 4px solid rgba(0, 0, 0, 0.2);
    border-top: 4px solid rgba(0, 0, 0, 0.6);
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    from {transform: rotate(0deg);}
    to {transform: rotate(360deg);}
}


/* Button */

button.button, a.button, a.checkout-button, button.button {
  	--radius: var(--radius-xs);
  	--border-width: var(--border-m);
  	--font-size: var(--text-m);
	
	color: var(--color-white);
	background-color: var(--color-primary-btn);
	width: fit-content;
	padding: 1rem 2.8rem;
	font-size: var(--font-size);
	font-weight: 700;
	gap:var(--space-s);
	border: var(--border-width) solid transparent;
	border-radius: var(--radius);
 	transition: all 0.3s;
}

button.button:hover, a.button:hover, button.button:hover, button.button:focus, a.button:focus, button.button:focus {
	background-color: var(--color-primary-btn-hover)!important;
	color: var(--color-white)!important;
}

.wc-proceed-to-checkout .button {
    background-color: inherit;
    color: inherit;
}

.cart-collaterals .wc-proceed-to-checkout .button {
	line-height: inherit;
}



/* Header */

:root {
  	--menu-vertical-gap: 1.5rem;
	--menu-horizontal-gap: var(--space-m);
  	--header-color: var(--color-black);
}

header svg {
  width: 2.2rem;
  height: 2.2rem;
}

header .navlink svg, header .navlink path, header .bricks-nav-menu svg, header .bricks-nav-menu path {
  fill: var(--header-color);
}



/* navlink */
/* base */
.navlink, .menu-item a {
  color: var(--header-color);
  font-weight: 700;
  text-decoration: none;
}

/* hover para links normales */
.menu-item:hover > a {
  text-decoration: underline;
  text-underline-offset: 6px;
}

/* hover para "Productos" (submenu toggle) */
.menu-item:hover > .brx-submenu-toggle > a {
  text-decoration: underline;
  text-underline-offset: 6px;
}

/* activo */
.menu-item a[aria-current="page"] {
  text-decoration: underline;
  text-underline-offset: 6px;
}



/* cart */
.cart-icon svg path {
  stroke: var(--header-color);
}

.cart-count {
  	background-color: var(--header-color);
	border-radius: var(--radius-2xs);
	width: auto;
	min-width: 18px;
	padding: 0 4px;
}


/* desktop - dropdown */

.brxe-dropdown svg, .brxe-dropdown path {
	fill: var(--header-color);
	width: 1.2rem;
  	transition: transform 0.3s ease;
}

.brx-dropdown-content {
	display: flex;
	gap: var(--menu-vertical-gap);
}

.desktop-navbar .brx-dropdown-content {
	padding-block: 2rem;
	background-color: var(--color-white);
}

.desktop-navbar > .brxe-dropdown > .brx-dropdown-content {
	transform: translateY(1.5rem);
}

.desktop-navbar .brx-dropdown-content .brxe-text-link, .desktop-navbar .brx-dropdown-content .brxe-dropdown {
	padding-inline: 2rem;
}

.desktop-navbar .brx-submenu-toggle svg {
  transform: rotate(-90deg);
}

.desktop-navbar .brxe-dropdown:hover > .brx-submenu-toggle svg {
  transform: rotate(0deg);
}

.brx-submenu-toggle {
	justify-content: space-between;
}

.desktop-navbar .brxe-dropdown .brx-dropdown-content {
	box-shadow: var(--shadow-m);
}


/* desktop - Nav menu widget Wordpress */

.desktop-navbar .bricks-nav-menu {
	display: flex;
	gap: var(--menu-horizontal-gap);
	color: var(--header-color);
}

.desktop-navbar .brx-submenu-toggle {
	justify-content: flex-start;
}

.desktop-navbar ul .bricks-nav-menu .sub-menu {
	line-height: inherit;
}

.desktop-navbar ul .brx-submenu-positioned {
	display: flex;
	flex-direction: column;
	background-color: var(--color-white);
	box-shadow: var(--shadow-m);
	padding-block: 2rem;
	gap: var(--menu-vertical-gap);
}

/* Nivel 1 */
.desktop-navbar .bricks-nav-menu > li.menu-item-has-children > ul.brx-submenu-positioned {
  transform: translateY(1.5rem);
}

/* Nivel 2+ */
.desktop-navbar .bricks-nav-menu ul.brx-submenu-positioned ul.brx-submenu-positioned {
  transform: translateX(0); /* o none si no querés movimiento */
}

.desktop-navbar ul .brx-submenu-positioned a {
	color: var(--header-color);
}

.desktop-navbar ul .brx-submenu-positioned li {
	padding-bottom: 1rem;
}

/* Primer li: padding-top */
.desktop-navbar ul .brx-submenu-positioned li:first-child {
	padding-top: 0.5rem;
}

/* Último li: sin padding-bottom */
.desktop-navbar ul .brx-submenu-positioned li:last-child {
	padding-bottom: 0;
}

.desktop-navbar .bricks-nav-menu svg {
	fill: var(--header-color);
	width: 1.2rem;
  	transition: transform 0.3s ease;
	transform: rotate(-90deg);
}

/* cuando está abierto */
.desktop-navbar .bricks-nav-menu .menu-item-has-children button[aria-expanded="true"] svg {
	transform: rotate(0deg);
}




/* hamburger */

header .brxe-toggle svg {
  	width: 3.5rem;
  	height: 3.5rem;
}

header .brxe-toggle  svg path {
	stroke: var(--header-color);
}

.ham {
	cursor: pointer;
  	-webkit-tap-highlight-color: transparent;
  	transition: transform 400ms;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.is-active svg.hamRotate {
  transform: rotate(45deg);
}
.is-active svg.hamRotate180 {
  transform: rotate(180deg);
}
.line {
  fill:none;
  transition: stroke-dasharray 400ms, stroke-dashoffset 400ms;
  stroke:#000;
  stroke-width:5.5;
  stroke-linecap:round;
}

.ham1 .top {
  stroke-dasharray: 40 139;
}
.ham1 .bottom {
  stroke-dasharray: 40 180;
}
.is-active svg.ham1 .top {
  stroke-dashoffset: -98px;
}
.is-active svg.ham1 .bottom {
  stroke-dashoffset: -138px;
}

/* offcanvas */
/* .offcanvas {
  	gap: var(--menu-vertical-gap);
}

.offcanvas .brxe-toggle {
  margin-left: auto;
}

.offcanvas .offcanvas__list {
  	gap: var(--menu-vertical-gap);
}

.offcanvas .offcanvas__list li {
  	width: 100%;
}

.offcanvas li.brxe-dropdown.open {
  gap: var(--menu-vertical-gap);
} */



/* Menu dropdown offcanvas */
.offcanvas .brxe-dropdown .brx-dropdown-content{
  display:flex;
  opacity:1;
  visibility:visible;
  transform:translateX(100%);
  position:fixed;
  top:0;
  left:0;
  background-color:white;
  width:100%;
  height:fit-content;
  min-height:100%;
  padding-block: calc(var(--header-height) + var(--topbar-height) * 1.5);
  padding-inline: 3rem;
}

.offcanvas .brxe-dropdown.open>.brx-dropdown-content {
  transform:translateX(0%);
}

.offcanvas .brxe-dropdown > .brx-submenu-toggle svg {
	transform: rotate(-90deg);
}


/* offcanvas - Nav menu widget Wordpress */
.offcanvas .bricks-nav-menu {
	display: flex;
	flex-direction: column;
	gap: var(--menu-vertical-gap);
	color: var(--header-color);
}

.offcanvas .brx-submenu-toggle {
	justify-content: flex-start;
}

.offcanvas ul .bricks-nav-menu .sub-menu {
	line-height: inherit;
}

.offcanvas ul .bricks-nav-menu .brx-submenu-positioned {
	background-color: transparent;
}

.offcanvas ul .bricks-nav-menu .brx-submenu-positioned a {
	color: var(--header-color);
}

.offcanvas ul .bricks-nav-menu .brx-submenu-positioned li {
	padding-bottom: 1rem;
}

/* Primer li: padding-top */
.offcanvas ul .bricks-nav-menu .brx-submenu-positioned li:first-child {
	padding-top: 0.5rem;
}

/* Último li: sin padding-bottom */
.offcanvas ul .bricks-nav-menu .brx-submenu-positioned li:last-child {
	padding-bottom: 0;
}

.offcanvas .bricks-nav-menu svg {
	fill: var(--header-color);
	width: 1.2rem;
  	transition: transform 0.3s ease;
	transform: rotate(-90deg);
}

/* cuando está abierto */
.offcanvas .bricks-nav-menu .menu-item-has-children button[aria-expanded="true"] svg {
	transform: rotate(0deg);
}


/* Transferencias bancarias */

.peprodev_woocommerce_receipt_uploader table {
  background: var(--color-offwhite);
  padding-block: 3rem;
}

.peprodev_woocommerce_receipt_uploader h2 {
  font-size: var(--h4)
}

.peprodev_woocommerce_receipt_uploader {
  display: grid;
  gap: var(--space-l);
}

.peprodev_woocommerce_receipt_uploader table, .peprodev_woocommerce_receipt_uploader .receipt-img-preview {
  display:grid;
  gap: var(--space-m);
}


/* Input quantity grid */

/* Mostrar siempre los controles */
/* .qty-input::-webkit-inner-spin-button,
.qty-input::-webkit-outer-spin-button {
  opacity: 1;
  height: auto;
} */


/* Plugin Republic Discount */
.wcfad-rule-label {
	display: none;
}